View Issue Details

IDProjectCategoryView StatusLast Update
0000913OpenMPT[All Projects] Playback Compatibilitypublic2017-03-14 01:41
Reporterpigdevil2010Assigned ToSaga Musix 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version10
Product VersionOpenMPT 1.26.07.00 / libopenmpt 0.2-beta20.3 (upgrade first) 
Target VersionOpenMPT 1.27.01.00 (upcoming stable)Fixed in VersionOpenMPT 1.27.01.00 (upcoming stable) 
Summary0000913: IT Weird Loop Behavior
Description

If the previous pattern has no SB0 specified in the same channel, SBx will break the pattern to row 0 if the last SB0 row is nonzero.

IT 2.14p3, XMPlay 3.8.2.3 and Schism 2016-09-13 pass this test but not OpenMPT 1.26.07.00.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

pigdevil2010

pigdevil2010

2017-01-21 08:10

reporter  

weirdloop.zip (284,349 bytes)
Saga Musix

Saga Musix

2017-03-14 01:09

administrator   ~0002907

More appropriate description: If the start of a previous loop (or if the loop was terminated properly, the first row after the loop) was past the current pattern's length, then we shouldn't restart the current pattern but jump to the next pattern instead.

Saga Musix

Saga Musix

2017-03-14 01:41

administrator   ~0002908

Fixed in r7791. Simplified test case: https://wiki.openmpt.org/Development:_Test_Cases/IT#LoopStartAfterPatternEnd.it

Issue History

Date Modified Username Field Change
2017-01-21 08:10 pigdevil2010 New Issue
2017-01-21 08:10 pigdevil2010 File Added: weirdloop.zip
2017-01-21 13:51 Saga Musix Assigned To => Saga Musix
2017-01-21 13:51 Saga Musix Status new => assigned
2017-03-14 01:09 Saga Musix Note Added: 0002907
2017-03-14 01:41 Saga Musix Status assigned => resolved
2017-03-14 01:41 Saga Musix Resolution open => fixed
2017-03-14 01:41 Saga Musix Fixed in Version => OpenMPT 1.27.01.00 (upcoming stable)
2017-03-14 01:41 Saga Musix Target Version => OpenMPT 1.27.01.00 (upcoming stable)
2017-03-14 01:41 Saga Musix Note Added: 0002908